package arzumify.cursedenergy.api;

// Provides energy to EnergyReceivers. Can be implemented by anything able to tick and provide energy!
public interface EnergyProvider extends EnergyBlock {
    /**
     * When called by the server matchmaker, indicates that this is a possible receiver to call {@link EnergyReceiver#ready(EnergyProvider)} on.
     * This particular overload is for coordinate-based matchmaking.
     *
     * @param receiver         The receiver that exists.
     */
    void ready(EnergyReceiver receiver);

    void unready(EnergyReceiver receiver);
}